# Authentication

**Referd** APIs are authenticated using API Keys. API Keys add an additional layer of security to your account. The provided API Keys are namely, API Key and Secret Key (also defined as transaction key).

The API Key can be used for regular non-sensitive endpoints, for instance, create user, while the Secret Key is used along with the API Key when performing sensitive operations.

{% hint style="danger" %}
**Highly Important Note!** Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret (transaction) key in publicly accessible areas such as GitHub, client-side code, and so forth.
{% endhint %}

Accordingly, you need to provide your account's API Key and (in some cases) Secret Key as well in the header with every request.&#x20;

{% hint style="warning" %}
**Note!** API requests executed without authentication will fail.
{% endhint %}

Below is an example of the authentication through API Key header.

```bash
curl --request POST \
  --url 'https://api.gameball.co/api/v3.0/integrations/event' \
  --header 'APIKey: ue7eh32eiwlsncoko08u8b'

```

Also, below is an example of the authentication using both API Key and Secret Key.

```bash
curl --request POST \
  --url 'https://api.gameball.co/api/v3.0/integrations/transaction/cashback' \
  --header 'APIKey: ue7eh32eiwlsncoko08u8b'
  --header 'SecretKey: kz7eh32eiwldlowbo08u5p'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.tryreferd.com/api-reference/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
